Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451416 - Evolution should not disable send/receive
Summary: Evolution should not disable send/receive
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 453279 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 10:27 UTC by Paul Henshall
Modified: 2009-07-14 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 14:11:40 UTC


Attachments (Terms of Use)
Screenshot showing disabled send/receive when clearly connected (deleted)
2008-06-14 10:27 UTC, Paul Henshall
no flags Details

Description Paul Henshall 2008-06-14 10:27:00 UTC
Description of problem:
Evolution use NetworkManager to enable and disable send/receive functionality,
but this doesn't work very well. For one thing, it completely ignores
connections not managed by NetworkManager. And sometimes doesn't pick up when
connected via NetworkManager

Version-Release number of selected component (if applicable):
All recent

How reproducible:


Steps to Reproduce:
1. Connect using some means other than NetworkManager
  
Actual results:
Unable to send/receive messages

Expected results:
Able to send/receive messages

Additional info:

Comment 1 Paul Henshall 2008-06-14 10:27:00 UTC
Created attachment 309344 [details]
Screenshot showing disabled send/receive when clearly connected

Comment 2 Matthew Barnes 2008-07-08 15:20:14 UTC
The little icon in the bottom left corner indicates Evolution is in offline
mode. Try clicking it to force Evolution into online mode, and I think the
Send/Receive button should enable itself.

Comment 3 Matthew Barnes 2008-07-08 15:31:46 UTC
*** Bug 453279 has been marked as a duplicate of this bug. ***

Comment 4 Paul Henshall 2008-07-08 18:14:06 UTC
Ah, thanks that did re-enable the send/receive button.
Obviously Evolution got a disconnect event from Network Manager, so went
offline, then didn't then pick up a reconnection.
An easy way to show the behaviour is to:
1) Switch networks using Network Manager - sends Evolution into offline mode.
2) Close Evolution before Network Manager manages to connect.
3) Network manager connects.
4) Restart Evolution - will still be in offline mode, and will remain in offline
mode until it is manually told to be in online mode.

I think for some reason a similar series of events happened during a system
update, which lead to my confusion.

Thanks,

Paul

Comment 5 Matthew Barnes 2008-07-08 19:49:20 UTC
I think I recall something like this getting fixed recently.  What version of
Evolution are you running?  (rpm -q evolution)

Comment 6 Paul Henshall 2008-07-08 20:23:23 UTC
I'm running evolution-2.22.2-2.fc9.i386.

Comment 7 Matthew Barnes 2008-12-19 04:04:08 UTC
Paul, any objection to me closing this or is there still an outstanding issue?

Comment 8 Paul Henshall 2008-12-20 02:46:52 UTC
I think this sequence:

1) Switch networks using Network Manager - sends Evolution into offline mode.
2) Close Evolution before Network Manager manages to connect.
3) Network manager connects.
4) Restart Evolution - will still be in offline mode, and will remain in offline
mode until it is manually told to be in online mode.

still is an error, though I haven't checked.
I think treating a network manager event the same as a request for offline mode is fundamentally flawed, and will continue to lead to bug reports like this.

However, I would say this is an upstream issue, rather than something Fedora-specific.

Just one of many things that don't work properly.

Comment 9 Matthew Barnes 2008-12-20 03:18:12 UTC
Evolution distinguishes Network Manager events from user-initiated offline mode while it's running, but only stores a single online/offline flag in GConf.  That flag is used to decide the initial mode on the next startup.

You're right, it needs to act smarter than that.

Comment 10 Trevin Beattie 2009-03-05 14:28:34 UTC
I'm seeing this problem in evolution-2.24.3-1.fc10 (Fedora 10 update as of Feb. 14).

Comment 11 Mike Chambers 2009-03-07 14:40:11 UTC
Is still still a problem or is there a fix that can be done inside Fedora or closed and fixed upstream?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Trevin Beattie 2009-03-07 16:28:45 UTC
I haven't found a workaround yet.  I upgraded to 2.24.5-1.fc10 and not only does it still insist on starting in offline mode, but the SSL connection to my ISP's SMTP server wouldn't work any more.  I had to switch it to TLS.

Comment 13 Trevin Beattie 2009-03-08 01:56:13 UTC
Forget that comment about the SMTP connection.  It must have been a glitch on the remote server.  I just encountered the same error, and it worked again after switching back from TLS to SSL.

Comment 14 Bug Zapper 2009-06-10 01:36:36 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Matthew Barnes 2009-06-29 01:36:05 UTC
Moving this to rawhide as I still mean to follow up on comment #9.

Comment 16 Matthew Barnes 2009-07-14 14:11:40 UTC
This is fixed now in Evolution 2.27.4.


Note You need to log in before you can comment on or make changes to this bug.